.referral-benefits-section {
    background-color: #ecf2fd;
    padding-top: 80px;
    padding-bottom: 80px;
    overflow: hidden;
    border-top: 1px solid #d4d4d9;
}

.referral-benefits-section .section-title {
    font-size: 2.5rem;
    font-weight: 600;
    color: #003451;
    margin-bottom: 0;
}

.steps-wrapper {
    margin-top: 70px;
    padding-bottom: 60px;
    position: relative;
    z-index: 2;
}

/* Step Cards */
.referral-benefits-section .step-card {
    background: white;
    border-radius: 16px;
    padding: 2rem 1.5rem;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
    transition: all 0.3s ease;
    position: relative;
    z-index: 2;
    height: 100%;
    overflow: hidden;
}

.referral-benefits-section .step-card img {
    position: absolute;
    right: 0;
    top: 0;
    width: 95px;
}

.step-title {
    color: #003451;
    font-size: 1.2rem;
    margin-bottom: 1rem;
}

.step-description {
    color: #6b7280;
    font-size: 1rem;
    line-height: 1.6;
    margin: 0;
}

/* Media Queries */
@media (max-width: 767.98px) {
    .referral-benefits-section {
        padding-bottom: 0 !important;
    }
    .referral-benefits-section .section-title {
        font-size: 1.75rem;
        text-align: center;
        margin-bottom: 1rem;
        margin-left: auto;
        margin-right: auto;
    }

    .step-card {
        padding: 2rem 2rem;
        margin-bottom: 1.5rem;
    }

    .step-title {
        font-size: 1.25rem;
    }
}

@media (min-width: 768px) and (max-width: 991.98px) {
    .step-card {
        margin-bottom: 2rem;
    }
}
